The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Problema con phpPgAdmin

Discussion in 'Discusión en Español' started by Fbarajas, Jun 21, 2010.

  1. Fbarajas

    Fbarajas Active Member

    Joined:
    Jul 15, 2004
    Messages:
    39
    Likes Received:
    1
    Trophy Points:
    8
    Location:
    Playa del Carmen, Mexico
    Hola! Instalé el PostgreSQL en el Cpanel, y aparentemente todo funciona perfecto, como pueden ver en http://www.nuestroweb.com/prueba.php:

    PostgreSQL Support enabled
    PostgreSQL(libpq) Version 8.1.21
    Multibyte character support enabled
    SSL support enabled

    Sin embargo, al querer correr, desde el mismo Cpanel, el phpPgAdmin, me manda el siguiente error:

    "Your PHP installation does not support PostgreSQL. You need to recompile PHP using the --with-pgsql configure option."

    ¿Me faltó algo? Se me hace raro el error, pues como pueden ver, el PHP si está soportando PostreSQL, aunque el phpPgAdmin diga lo contrario.

    ¿Que me sugieren revisar?
     
  2. Fbarajas

    Fbarajas Active Member

    Joined:
    Jul 15, 2004
    Messages:
    39
    Likes Received:
    1
    Trophy Points:
    8
    Location:
    Playa del Carmen, Mexico
    Resuelto!

    En el foro en inglés, "cpaneljamyn" me ayudó y ya está resuelto el problema:

    Sólo hay que correr el "# /scripts/makecpphp" para recompilar el PHP interno del Cpanel, pues es independiente del PHP del Apache.

    Corriendo ese script se resolvió el problema.

    ¡Gracias!
     
  3. rockoloco

    rockoloco Member

    Joined:
    Nov 18, 2009
    Messages:
    18
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Buenos Aires
    lo mismo

    Lo podes hacer desde la consola o desde el mismo WHM.
    Lo tenes en Main >> Software >> EasyApache (Apache Update)
    Suerte!
     
Loading...

Share This Page